| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoGStreamer.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoGStreamer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamGStreamerT | AR2VideoParamGStreamerT

## Functions
int | ar2VideoDispOptionGStreamer (void)
AR2VideoParamGStreamerT * | ar2VideoOpenGStreamer (const char *config_in)
int | ar2VideoCloseGStreamer (AR2VideoParamGStreamerT *vid)
int | ar2VideoGetIdGStreamer (AR2VideoParamGStreamerT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeGStreamer (AR2VideoParamGStreamerT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatGStreamer (AR2VideoParamGStreamerT *vid)
AR2VideoBufferT * | ar2VideoGetImageGStreamer (AR2VideoParamGStreamerT *vid)
int | ar2VideoCapStartGStreamer (AR2VideoParamGStreamerT *vid)
int | ar2VideoCapStopGStreamer (AR2VideoParamGStreamerT *vid)
int | ar2VideoGetParamiGStreamer (AR2VideoParamGStreamerT *vid, int paramName, int *value)
int | ar2VideoSetParamiGStreamer (AR2VideoParamGStreamerT *vid, int paramName, int value)
int | ar2VideoGetParamdGStreamer (AR2VideoParamGStreamerT *vid, int paramName, double *value)
int | ar2VideoSetParamdGStreamer (AR2VideoParamGStreamerT *vid, int paramName, double value)
int | ar2VideoGetParamsGStreamer (AR2VideoParamGStreamerT *vid, const int paramName, char **value)
int | ar2VideoSetParamsGStreamer (AR2VideoParamGStreamerT *vid, const int paramName, const char *value)

## Typedef Documentation

## ◆ AR2VideoParamGStreamerT

typedef struct _AR2VideoParamGStreamerT AR2VideoParamGStreamerT

## Function Documentation

## ◆ ar2VideoCapStartGStreamer()

int ar2VideoCapStartGStreamer | ( | AR2VideoParamGStreamerT * | vid | ) |

## ◆ ar2VideoCapStopGStreamer()

int ar2VideoCapStopGStreamer | ( | AR2VideoParamGStreamerT * | vid | ) |

## ◆ ar2VideoCloseGStreamer()

int ar2VideoCloseGStreamer | ( | AR2VideoParamGStreamerT * | vid | ) |

## ◆ ar2VideoDispOptionGStreamer()

int ar2VideoDispOptionGStreamer | ( | void |  | ) |

## ◆ ar2VideoGetIdGStreamer()

int ar2VideoGetIdGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageGStreamer()

AR2VideoBufferT * ar2VideoGetImageGStreamer | ( | AR2VideoParamGStreamerT * | vid | ) |

## ◆ ar2VideoGetParamdGStreamer()

int ar2VideoGetParamdGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiGStreamer()

int ar2VideoGetParamiGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsGStreamer()

int ar2VideoGetParamsGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatGStreamer()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatGStreamer | ( | AR2VideoParamGStreamerT * | vid | ) |

## ◆ ar2VideoGetSizeGStreamer()

int ar2VideoGetSizeGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenGStreamer()

AR2VideoParamGStreamerT * ar2VideoOpenGStreamer | ( | const char * | config_in | ) |

## ◆ ar2VideoSetParamdGStreamer()

int ar2VideoSetParamdGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiGStreamer()

int ar2VideoSetParamiGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsGStreamer()

int ar2VideoSetParamsGStreamer | ( | AR2VideoParamGStreamerT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |